> For the complete documentation index, see [llms.txt](https://docs.clusters.xyz/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.clusters.xyz/getting-started/javascript/registration/communities.md).

# Communities

## Check name availability

Check the availability of a community cluster name

```javascript
const isAvailable = await clusters.getCommunityNameAvailability("pengu/myname");
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "name": "pengu/myname",
  "isAvailable": false
}
```

{% endtab %}
{% endtabs %}

## Register a community name

Check the availability of one or more clusters

| Name                         | Description                                                                                                                                               |
| ---------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `communityName`              | The name of the community you are registering under                                                                                                       |
| `name`                       | The name you want to register                                                                                                                             |
| `autheToken`                 | Authentication key                                                                                                                                        |
| `walletAddress` *(optional)* | If you are the admin of the community, you can register on behalf of someone. If this is left out the name will be registered to the authenticated wallet |

**Example**

```javascript
const name = await clusters.registerCommunityCluster(
   "pengu", 
   "myname",
   AUTH_TOKEN
);
```

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
  "clusterName": "pengu/myname",
  "owner": "0x123"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.clusters.xyz/getting-started/javascript/registration/communities.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
